Beta

Preview a List

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
POST
/v1/lists/preview

Preview permitted members of a definition without saving it. Requires the corresponding businesses:read or people:read scope. Save only after reviewing the preview.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Header Parameters

SMB-Workspace-Id*string
Formatuuid

Request Body

application/json
  1. body
definition*|
page?
Default
{  "limit": 50}

Response Body

Successful authorized response.

application/json
  1. response
data*
request_id*string
curl -X POST 'https://example.com/v1/lists/preview' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "definition": {    "schema_version": "smb.list.v1",    "subject_type": "business",    "rule": {      "kind": "field",      "field": "name",      "operator": "eq",      "value": "string"    }  }}'
{  "data": {    "next_cursor": "string",    "evaluated_at": "2019-08-24T14:15:22Z",    "count": {      "status": "unknown",      "value": null,      "as_of": null,      "fewer_than": -9007199254740991    },    "members": [      {        "id": "string",        "subject_type": "business",        "projection": "public",        "summary": {          "display_name": "string"        },        "reason": "rule",        "values": {          "property1": {            "value_type": "text",            "value": "string"          },          "property2": {            "value_type": "text",            "value": "string"          }        },        "business": {          "status": "string",          "website_url": "string",          "city": "string",          "state": "string",          "naics_code": "string",          "naics_title": "string",          "icon_url": "http://example.com"        }      }    ],    "list_version": -9007199254740991  },  "request_id": "string"}